/**
 * Changelog
 *
 * @package         Add to Menu
 *
 * @author          Peter van Westen <info@regularlabs.com>
 * @link            https://www.regularlabs.com
 * @copyright       Copyright © 2016 Regular Labs - All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

/**
 * + Addition
 * ! Removal
 * ^ Change
 * # Fix
 */

15-Feb-2017 : v6.0.1
 # Fixes issue with editor button popup not loading on some setups
 # [PRO] Fixes issue with updates via core installer sometimes failing

02-Feb-2017 : v6.0.0
 ^ Changes minimum requirement from Joomla 3.4.1 to Joomla 3.6.0
 ^ Changes minimum requirement from php 5.3.13 to php 5.4
 ^ Completely recoded the extension and Regular Labs Library (now using namespaces)
 ^ Updates translations: id-ID

04-Dec-2016 : v5.0.6
 ^ Makes the language selection for the menu item get filled with the selected language in the content item
 ^ Updates translations: de-DE
 # Fixes issue with Regular Labs Library plugin causing slowness in administrator when 'Show Help Menu Item' is enabled
 # Fixes issues with page breaking when Regular Labs Library folder is missing

24-Oct-2016 : v5.0.5
 + Adds separator bar before status module to match the new J3.6.3 styling
 + Adds translations: nl-BE

07-Aug-2016 : v5.0.4
 # Fixes issue with ugly database error showing when duplicate aliases are found

02-Aug-2016 : v5.0.3
 ^ Updates translations: fr-FR, ru-RU, tr-TR
 # [PRO] Fixes issue with button not showing on (new) FlexiContent items

14-Jun-2016 : v5.0.2
 + Adds translations: tr-TR

08-Jun-2016 : v5.0.1
 # Fixes issue with module name containing NoNumber instead of Regular Labs after update

16-Apr-2016 : v5.0.0
 ^ Moves from NoNumber to Regular Labs branding

30-Mar-2016 : v4.0.6
 ^ Adds version number to own css/js files
 ^ Changes Parent Item select field to a chosen field (with search)
 ^ Updates some HTML syntax

28-Jan-2016 : v4.0.5
 ^ Updates translations: bs-BA, ja-JP
 # Fixes incompatibility issue with Solidres
 # Fixes issues with Joomla 3.5 and php7 compatibility

07-Sep-2015 : v4.0.4
 # Fixes issue with popup window being blank or giving error on some content types

14-Aug-2015 : v4.0.3
 # Fixes issue with extra select options not working

07-Aug-2015 : v4.0.2
 # Fixes issue with upgrading not working

01-Aug-2015 : v4.0.1
 # Fixes issue with fatal error about stdClass being converted to string

31-Jul-2015 : v4.0.0
 ! [J2.5] Removes Joomla 2.5 support
 ^ Changes minimum requirement to Joomla version 3.4.1
 ^ Recodes the installer
 ^ Rewrites installer
 ^ Updates translations: ru-RU
 # Fixes issue with some settings set to No not being saved to menu item

19-May-2015 : v3.3.2
 # [J3] Fixes issue with K2 User page (Blog) menu items not being created correctly

25-Mar-2015 : v3.3.1
 + Adds translations: hu-HU
 # [PRO] Fixes issue with VitueMart category item not working

26-Feb-2015 : v3.3.0
 + [J3][PRO] Adds support for Form2Content (Articles)
 ^ Updates translations: uk-UA
 # [J3] Fixes issue with random ordering of parent menu item selection

22-Jan-2015 : v3.2.3
 ^ Updates translations: fr-FR
 # Fixes issue with alias defaulting to date instead of title when empty

08-Jan-2015 : v3.2.2
 ! Removes compatibility for php versions under 5.3.13
 ! [J3] Removes compatibility for Joomla 3 versions under 3.3.0
 ^ Updates translations: id-ID, lt-LT, pt-BR, sv-SE
 # Fixes issue with Free version being able to be installed over the Pro version

24-Nov-2014 : v3.2.1
 # Fixes missing language strings

21-Nov-2014 : v3.2.0
 + [PRO] Adds options to switch extra fields off
 + [PRO] Adds template style field in modal
 # Fixes issue with error about nnFile on installation on some setups

10-Nov-2014 : v3.1.1
 ^ Updates translations: fr-FR
 # Fixes issue with wrong FLEXIcontent catid being set in url when having multiple categories in itm
 # [PRO] Fixes issues with duplicate rows in update_sites table

18-Aug-2014 : v3.1.0
 ! [J3] Removes compatibility for Joomla 3 versions under 3.2.2
 ^ Refactors code
 ^ Updates translations: id-ID, pt-BR
 # [J2] Fixes issue with errors after upgrade to Joomla 3

21-May-2014 : v3.0.7
 + Adds translations: sk-SK
 ^ Updates translations: id-ID
 # [J3] Fixes issue with adjusted height not working correctly on extra radio elements
 # [J3] Fixes issue with error on extra radio elements
 # [J3] Fixes issue with missing icon in button

11-Apr-2014 : v3.0.6
 + Adds translations: id-ID
 # Fixes issue with module settings being reset on update

19-Feb-2014 : v3.0.5
 # Fixes incompatibility issues with new NoNumber Framework (button not showing when it should, fields not being filled correctly inside popup)
 # [J3] Fixes issue with javascript error about undefined function on some setups

18-Nov-2013 : v3.0.4
 # Fixes installation error about duplicate entry on some MySQL 5.6 setups
 # Fixes issue with placement of non-existing loading image in message bar
 # Fixes issue with status module not showing with newer NoNumber Framework
 # [PRO] Fixes issue with K2 category items not working after editing the menu item

08-Nov-2013 : v3.0.3
 # [J3.1] Fixes issue with modal popups not working

07-Nov-2013 : v3.0.2
 ^ [J2] Changes javascript minification to use Google Closure
 ^ [J3] Made status bar visible on mobile view
 # [J3] Fixes Joomla 3.2 compatibility issues

07-Aug-2013 : v3.0.1
 # [J2] Fixes issue with not being able to install when Qlue404 is installed

06-Aug-2013 : v3.0.0
 + [J3] Adds Joomla 3 support
 ! [J1.5] Removes Joomla 1.5 support
 ^ Updates translations: he-IL

12-Jun-2013 : v2.4.0
 + [J2][PRO] Adds ability to set access level
 + [J2][PRO] Adds ability to set language
 ! [J1.5] LAST VERSION COMPATIBLE WITH JOOMLA 1.5
 ^ Improves minification of js files

15-May-2013 : v2.3.4
 # [J2] Fixes issue with ordering by number in menu manager not working on menu items created by Add to Menu

24-Apr-2013 : v2.3.3
 + Adds translations: bn-BD
 ^ Cleans up some code (syntax)

09-Feb-2013 : v2.3.2
 + [J2] Adds less files for generating css files
 ^ Updates translations: ca-ES
 ^ [J2] Minifies css and js files
 # [J2] Fixes issue with Add to Menu css file not being loaded
 # [J2] Fixes issue with catid on FLEXIcontent items not being set correctly
 # [J2] Fixes issue with modal window not closing after save (js file not being loaded)

29-Dec-2012 : v2.3.1
 # [J2] Fixes error about XML setup file on first install

22-Dec-2012 : v2.3.0
 ! [J2] Removes ability to install on Joomla 2.5 versions lower than 2.5.7
 ^ [J2] Cleans up code
 ^ [J2] Moves media files to Joomla media folder

09-Nov-2012 : v2.2.6
 # [J1.5] Fixes issue with admin module not showing up at all

09-Nov-2012 : v2.2.5
 # Fixes issue with popup remaining white when using NoNumber Framework v12.11.1 - 12.11.4

24-Oct-2012 : v2.2.4
 # [J1.5] Fixes issue with alias lookup not working and always reverting to current date (Thanks emixion)

08-Sep-2012 : v2.2.3
 ^ Updates translations: it-IT
 # [J2][PRO] Fixes issue with php errors on item creation in FLEXIcontent items

18-Jul-2012 : v2.2.2
 ^ Updates translations: de-DE

03-Jul-2012 : v2.2.1
 ! Removes ability to install on Joomla 1.6 and 1.7
 ! Removes ability to install on setups with php 5.2 or lower
 ^ Cleans a lot of code
 ^ Updates translations: nl-NL
 # [J2] Fixes issue with FlexiContent item not being created correctly

01-May-2012 : v2.2.0
 + Adds translations: he-IL
 ^ Increases page load speed by changing how xml files are loaded

19-Apr-2012 : v2.1.0
 + Adds translations: zh-TW
 + [PRO] Adds support for FlexiContent Tags
 + [PRO] Adds support for VirtueMart 2
 + [J1.7+][PRO] Adds support for FlexiContent
 + [J1.7+][PRO] Adds support for MyBlog
 + [J1.7+][PRO] Adds support for RedShop

10-Apr-2012 : v2.0.1
 # SECURITY FIX: Fixes URL injection vulnerability in NoNumber Framework

07-Apr-2012 : v2.0.0
 + Adds translations: hr-HR
 ^ Changes some language strings
 ^ Cleans up code syntax
 ^ Now available as Pro and Free version

10-Jan-2012 : v1.9.6
 # Fixes issue with installer not removing the folder/zip from the tmp
 # [J1.7+] Fixes issue with access to popup being denied to certain groups

09-Jan-2012 : v1.9.5
 ^ Updates translations: nb-NO
 # Fixes issue with title with quotes being stripped

23-Dec-2011 : v1.9.4
 # Fixes issue with assignment options not showing on mootools 1.2+ setups

22-Dec-2011 : v1.9.3
 # [J1.5] Fixes issue with button not showing up on article edit pages

21-Dec-2011 : v1.9.2
 ^ Updates translations: fr-FR
 # Fixes issue with errors on duplicate aliases being unreadable
 # Fixes issue with styling of the admin status module
 # [J1.7] Fixes issue with menu items created in top level not having correct level assigned

05-Dec-2011 : v1.9.1
 # Fixes issue with core search pages not working because of NoNumber Framework

01-Dec-2011 : v1.9.0
 + Joomla 1.7 compatible!
 ^ Cleans code syntax (no longer guaranteed support for php 5.2.x and lower)
 ^ Updates translations: es-ES

08-Oct-2011 : v1.8.1
 # Fixes security issue in NoNumber Framework plugin

08-Oct-2011 : v1.8.0
 ^ Cleans up some code (like no more use of DS)
 ^ Improves installer
 ^ Moves translation language files to main package (no more language packs)
 # Fixes issue with non-translated strings showing on non-English setups

16-Sep-2011 : v1.7.0
 + Adds check to see if there is a component file inside the specific components folder
 + Adds options to adjust modal popup size
 ^ Changes NoNumber Elements plugin to NoNumber Framework
 ^ Changes way MooTools version is detected
 ^ Made popup a little wider
 ^ Moves common language strings to NoNumber Framework files

25-Mar-2011 : v1.6.1
 ^ Changes language files to be J1.6 ready

10-Feb-2011 : v1.6.0
 ^ Changes extension icon / logo
 # Fixes issue with public access to popup page (security fix!)

11-Dec-2010 : v1.5.1
 # Cleans up some code
 # Fixes issues with document being called to early
 # Fixes some issues with loading of language strings

25-Nov-2010 : v1.5.0
 + Adds checks to see if NoNumber Elements plugin is installed/enabled
 ^ Changes display of menu item list
 ^ Fixes and updated all language strings
 # Fixes issue with toggle script for extra options not working

16-Nov-2010 : v1.4.0
 ^ Made MooTools 1.2 compatible

28-Sep-2010 : v1.3.0
 + Adds a tooltip that shows some info on the link that will be added
 + Adds ability to change the text shown as link in the status bar
 + Adds component files for redShop
 + Adds extra blog settings for categories / sections
 + Adds possibility to show/hide extra options depending on a fields value
 + Also checks cookies for selected filters
 ^ Changes component files from php to xml
 ^ Improves overall code
 # Fixes a few component files

24-Jul-2010 : v1.2.4
 ^ Changes way version and license information are displayed (now via ajax)
 ^ Changes way versions and licenses are checked (no more base64)
 # Fixes issue with button not showing when used i.c.w. some other extensions

22-May-2010 : v1.2.3
 # Fixes issue with syntax errors in xml files (causing problems in admin module manager)

13-May-2010 : v1.2.2
 # Fixes issue with button not showing on all FLEXIcontent article / category pages
 # Fixes issue with errors about registry for php 5.0.5

09-Feb-2010 : v1.2.1
 # Fixes issue with deprecated syntax for php 5.3+
 # Fixes location of Joomla! DTD files

18-Jan-2010 : v1.2.0
 ^ Changes the License Code check (now controlled by the License Manager)
 ^ Made requirements array smarter to match components
 ^ Moves elements to separate global plugin (also used by other extensions)
 # Fixes issue with link to category not working (again)
 # Fixes plugin options not being fully visible

02-Jan-2010 : v1.1.1
 # Fixes issue with error on plugin settings page (due to License check)

01-Jan-2010 : v1.1.0
 + Adds Commercial License Code support
 + Adds link to category and section when selected in dropdown
 # Fixes issue with link to category not working

17-Dec-2009 : v1.0.2
 + Adds support for APLite admin template
 ^ Updates parameters for new version of FlexiContent (thanks to vistamedia)
 # Fixes issue with error on sections view
 # Fixes issue with wrong label on extra options

29-Oct-2009 : v1.0.1
 # Fixes javascript issue with IE and Safari
 # Fixes some style issues

28-Oct-2009 : v1.0.0
 + Adds option to hide icon or text in toolbar
 + Adds support for FLEXIcontent (thanks to vistamedia)
 + First stable release
 ^ Changes file encoding to UTF-8
 ^ Cleans up code
 # Fixes issue with javascript error in IE8

09-Oct-2009 : v0.2.2
 + First beta release